=== debian/control ===
Source: jamulus
Section: sound
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://jamulus.io/
Build-Depends: debhelper-compat (= 13),
  jdupes,
  libjack-jackd2-dev,
  qtbase5-dev,
  qtdeclarative5-dev,
  qttools5-dev-tools
Standards-Version: 4.5.1
Rules-Requires-Root: no
VCS-git: https://evolvis.org/anonscm/git/alioth/jamulus.git -b master
VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jamulus.git;a=shortlog;h=refs/heads/master

Package: jamulus
# will be "any" once #686777 is fixed
# armel might work but better safe than crash
Architecture: amd64 arm64 armhf i386
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: jackd, pulseaudio-module-jack, qjackctl
Description: real-time collaborative music session client and server
 Jamulus, a low-latency audio client and server, enables musicians to
 perform real-time “jam” sessions over the internet. It is available
 across multiple platforms, so participants of any field can communicate
 without specialist setup requirements. This is not restricted to music,
 of course; other use (perhaps conferencing?) is also possible.
 .
 One participant starts Jamulus in server mode, ideally on a dedicated
 server (virtual) machine; all participants start the (graphical) client
 which transmits audio to the server, receiving back a mixed stream. Use
 of a metronome is recommended.
