=== debian/watch ===
version=4
 opts=\
  repacksuffix=+dfsg1,\
  compression=gz,\
  uversionmangle=s/_/./g,\
  dversionmangle=s/\+dfsg[0-9]+$// \
 https://github.com/jamulussoftware/jamulus/releases \
 .*/jamulussoftware/jamulus/archive/refs/tags/r([0-9]+(?:_[0-9]+)*)\.tar\.gz \
debian debian/repack
