## jamulus 3.8.1+dfsg1

=== debian/changelog ===
jamulus (3.8.1+dfsg1-1) unstable; urgency=low

  * Update list of directories to exclude
  * New upstream release
  * Update manpage and other related files and patches
  * No longer jdupes, the homepage contents are no longer shipped
  * Policy 4.6.0.1 (no relevant changes)
  * Fix disabling the update checker
  * Redo lintian overrides

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 23 Dec 2021 21:24:00 +0100
