=== debian/control ===
--- 
+++ 
@@ -4,12 +4,11 @@
 Maintainer: Thorsten Glaser <tg@mirbsd.de>
 Homepage: https://jamulus.io/
 Build-Depends: debhelper-compat (= 13),
-  jdupes,
   libjack-jackd2-dev,
   qtbase5-dev,
   qtdeclarative5-dev,
   qttools5-dev-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 VCS-git: https://evolvis.org/anonscm/git/alioth/jamulus.git -b master
 VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jamulus.git;a=shortlog;h=refs/heads/master
