=== debian/rules ===
--- 
+++ 
@@ -20,10 +20,14 @@
 OUR_CXXFLAGS:=
 OUR_LDFLAGS:=
 
-OUR_CPPFLAGS+=	-Wno-unused-result
+OUR_CFLAGS+=	-Wno-unused-parameter
+OUR_CXXFLAGS+=	-Wno-unused-parameter
+OUR_CFLAGS+=	-Wno-unused-result
+OUR_CXXFLAGS+=	-Wno-unused-result
 
 # unclutter build log; these are upstream’s to fix
-OUR_CPPFLAGS+=	-Wno-deprecated-declarations
+OUR_CFLAGS+=	-Wno-deprecated-declarations
+OUR_CXXFLAGS+=	-Wno-deprecated-declarations
 OUR_CXXFLAGS+=	-Wno-deprecated-copy
 
 CONFIG_ARGS+=	CONFIG+=disable_version_check
@@ -37,9 +41,12 @@
 export DEB_CXXFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_CXXFLAGS})
 export DEB_LDFLAGS_MAINT_APPEND:=$(call dpkgbuildflagsmkescape,${OUR_LDFLAGS})
 include /usr/share/dpkg/buildflags.mk
-ifneq (,$(wildcard /usr/share/dpkg/buildtools.mk))
 include /usr/share/dpkg/buildtools.mk
-endif
+
+# work around a bug in /usr/share/perl5/Debian/Debhelper/Buildsystem/qmake.pm
+# which correctly merges CPPFLAGS to CFLAGS/CXXFLAGS for the compiler but
+# misses adding C{,XX}FLAGS to LDFLAGS for the linker (CCLD/CXXLD)…
+LDFLAGS:=${LDFLAGS} ${CXXFLAGS} # as this links with ${CXX}
 
 %:
 	dh $@
@@ -47,5 +54,11 @@
 override_dh_auto_configure:
 	dh_auto_configure -- ${CONFIG_ARGS}
 
-execute_after_dh_link:
-	jdupes -rl debian/jamulus/usr/share/doc/jamulus/homepage
+execute_after_dh_auto_install:
+	# remove “too much” installed files…
+	rm -f debian/jamulus/usr/share/applications/jamulus-server.desktop
+	# fixup icon mess
+	mkdir -p debian/jamulus/usr/share/icons/hicolor/scalable/apps
+	mv debian/jamulus/usr/share/icons/hicolor/512x512/apps/jamulus.svg \
+	    debian/jamulus/usr/share/icons/hicolor/scalable/apps/
+	rm -rf debian/jamulus/usr/share/icons/hicolor/512x512
