## jamulus 3.8.2+dfsg

=== debian/changelog ===
jamulus (3.8.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Revert bad upstream change to where --help output is printed
  * Use manpage contributed upstream

 -- Thorsten Glaser <tg@mirbsd.de>  Fri, 25 Feb 2022 19:52:53 +0100
