## jamulus 3.9.1+dfsg

=== debian/changelog ===
jamulus (3.9.1+dfsg-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:00:45 +1100

jamulus (3.9.1+dfsg-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 04:38:56 +0000

jamulus (3.9.1+dfsg-1) unstable; urgency=medium

  [ Bo YU ]
  * QA upload.
  * Set Debian QA as maintainer. See #1023670.
  * New upstream version 3.9.1.
  * Update d/copyright:
    - adjust Files-Excluded due to repack.
    - update file-pattern due to upstream change.
  * Rebase all patches.
  * Adjust d/source/lintian-overrides
  * Update execute_after_dh_auto_install

  [ Boyuan Yang ]
  * debian/control: Move Vcs-* maint to Debian Salsa.
  * debian/: Remove trailing spaces.

 -- Boyuan Yang <byang@debian.org>  Wed, 30 Nov 2022 14:42:41 -0500
