=== debian/control ===
--- 
+++ 
@@ -1,17 +1,19 @@
 Source: jamulus
 Section: sound
 Priority: optional
-Maintainer: Thorsten Glaser <tg@mirbsd.de>
-Homepage: https://jamulus.io/
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
 Build-Depends: debhelper-compat (= 13),
   libjack-jackd2-dev,
   qtbase5-dev,
   qtdeclarative5-dev,
-  qttools5-dev-tools
-Standards-Version: 4.6.0
+  qttools5-dev-tools,
+  qtmultimedia5-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
-VCS-git: https://evolvis.org/anonscm/git/alioth/jamulus.git -b master
-VCS-Browser: https://evolvis.org/plugins/scmgit/cgi-bin/gitweb.cgi?p=alioth/jamulus.git;a=shortlog;h=refs/heads/master
+Homepage: https://jamulus.io/
+Vcs-Git: https://salsa.debian.org/debian/jamulus.git
+Vcs-Browser: https://salsa.debian.org/debian/jamulus
 
 Package: jamulus
 # will be "any" once #686777 is fixed
