=== debian/rules ===
--- 
+++ 
@@ -59,6 +59,4 @@
 	rm -f debian/jamulus/usr/share/applications/jamulus-server.desktop
 	# fixup icon mess
 	mkdir -p debian/jamulus/usr/share/icons/hicolor/scalable/apps
-	mv debian/jamulus/usr/share/icons/hicolor/512x512/apps/jamulus.svg \
-	    debian/jamulus/usr/share/icons/hicolor/scalable/apps/
 	rm -rf debian/jamulus/usr/share/icons/hicolor/512x512
